#include<iostream>
#include<cmath>
using namespace std;

int main()
{
	char s[10000];
	cin>>s;
	int i=0;
	while(s[i]!='\0')
	{
		i++;
	}
	i=i-1;
	for(int j = 0;j<=i;j++)
	{
		
		
		if(s[j]>=97&&s[j]<=122)
		{
			
			if(s[j]<119)
				s[j]=s[j]+4;
			else
				s[j]=s[j]-22;
		}
		else
			if(s[j]<87)
				s[j]=s[j]+4;
			else
				s[j]=s[j]-22;
			
		
	}
	
		cout<<s;
	
	return 0;
}

